<?php

class modelChannels extends cmsModel{
    
    
    /**
     * getChannel
     *
     */
    public function getChannel( $channel_id ){
        
        $this->filterEqual( 'id', $channel_id );
        $this->filterEqual( 'active', 1 );
        
        $channel = current( $this->get('users_channels') );
        
        return $channel;
        
    }
    
    /**
     * getChannels
     *
     */
    public function getChannels( $user_id ){
        
        $this->filterEqual( 'user_id', $user_id );
        $this->filterEqual( 'active', 1 );
        $this->orderBy('title', 'asc');
        
        $channels = $this->get('users_channels');
        
        return $channels;
        
    }
    
    /**
     * addChannel
     *
     */
    public function addChannel( $channel, $user_id ){
        
        if ( !$user_id ) { cmsCore::error404(); }
        
        $channel['user_id'] = $user_id;
        $channel['active'] = 1;
        
        $channel_id = $this->insert( 'users_channels', $channel );
        
        return $channel_id;
        
    }
    
    
    /**
     * updateChannel
     *
     */
    public function updateChannel( $channel_id, $data ){
        
        $result = $this->update('users_channels', $channel_id, $data );
        
        return $result;
        
    }
    
    /**
     * removeChannel
     *
     */
    public function removeChannel( $channel_id ){
        
        return $this->delete( 'users_channels', $channel_id );
        
    }
    
    
}

