<?php
    
    $user = cmsUser::getInstance();
    $config = cmsConfig::getInstance();
    
    $page_title = LANG_CHANNELS_TITLE;
    
    $this->setPageTitle($page_title);
    $this->addBreadcrumb($page_title);
    
    $allow_edit = $user->id && ( $user->is_admin || $user_id == $user->id );
    
?>

<a class="yt-share-icon" href="#" title="Поделиться" onclick="$('#yt-share').slideToggle(); return false;"></a>

<a name="player"></a>

<h1><?php echo $page_title ?></h1>

<div id="yt-share" class="field ft_string yt-share" style="display:none;">
    <label>Адрес страницы:</label>
    <input type="text" value="<?php echo $config->host; ?>/channels/user/<?php echo $user_id; ?>" onclick="$(this).select();" readonly="readonly" class="input" name="code">
</div>

<div class="yt-player-wrapper adaptive">
    <div class="yt-player-container">
        <div id="player"></div>
    </div>
</div>

<?php if( !empty( $channels ) ): ?>

<div class="relative">
    <img id="channel_image" src="<?php echo $config->root; ?>templates/default/images/yt_logo.png" width="88" height="88" alt="" />
</div>

<div class="yt-player-playlist-container">
<ul class="yt-player-playlist<?php if( $allow_edit ): ?> editable<?php endif; ?>">
    <?php foreach( $channels as $channel ): ?>
    <li>
        
        <?php if( $allow_edit ): ?>
        <div class="tools">
            <a class="edit" title="Редактировать" href="/channels/edit/<?php echo $channel['id']; ?>"></a>
            &nbsp;
            <a class="delete" title="Удалить" href="/channels/remove/<?php echo $channel['id']; ?>"></a>
        </div>
        <?php endif; ?>
        
        <div class="channel-name">
            <a href="#player" onclick="yt_channels.loadChannel('<?php echo $channel['name']; ?>','<?php echo $channel['image_url']; ?>');" onmouseover="yt_channels.showImage('<?php echo $channel['image_url']; ?>');" onmouseout="yt_channels.showImage(null);"><?php echo $channel['title']; ?></a>
        </div>
        
        <div class="channel-desc" <?php if( mb_strlen( $channel['description'] ) > 65 ): ?>title="<?php echo $channel['description']; ?>"<?php endif; ?>>
            <?php echo $channel['description']; ?>
        </div>
        
    </li>
    <?php endforeach; ?>
</ul>
</div>
<?php else: ?>
<div class="sess_messages">
    <div class="message_info">
        <?php echo LANG_CHANNELS_EMPTY_LIST; ?>
    </div>
</div>
<?php endif; ?>

<script type="text/javascript">
    var tag = document.createElement('script');
    tag.src = "https://www.youtube.com/iframe_api";
    var firstScriptTag = document.getElementsByTagName('script')[0];
    firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
    
    function onYouTubeIframeAPIReady() {
        yt_channels.player = new YT.Player('player', {
            width: '640',
            height: '390',
            playerVars: {
                autoplay: false,
                color: 'white',
                theme: 'light'
            },
            events: {
                'onReady': yt_channels.onPlayerReady
                //'onStateChange': onPlayerStateChange
            }
        });
    }
    
    var yt_channels = {
        
        player: null,
        default_image: '<?php echo $config->root; ?>templates/default/images/yt_logo.png',
        
        onPlayerReady: function(event) {
            /*
            event.target.loadPlaylist({
                list: 'SkolkovoEfimova',
                listType: 'user_uploads'
            });
            */
        },
        
        loadChannel: function( channelName, channelImage ){
            
            yt_channels.player.loadPlaylist({
                list: channelName,
                listType: 'user_uploads'
            });
            
            if ( channelImage ) {
                yt_channels.default_image = channelImage;
            }else{
                yt_channels.default_image = '';
            }
            
            return false;
        },
        
        getPlaylist: function(){
            
            console.log( yt_channels.player.getPlaylist() );
            
            return false;
        },
        
        showImage: function( channelImageUrl ){
            
            var channelImage = document.getElementById('channel_image');
            
            if ( channelImageUrl ) {
                channelImage.src = channelImageUrl;
                channelImage.style.display = 'block';
            }else{
                
                if ( yt_channels.default_image ) {
                    channelImage.src = yt_channels.default_image;
                }else{
                    channelImage.style.display = 'none';
                }
                
            }
            
        }
        
    };
    
</script>

